import java.awt.*;
import java.awt.event.*;

public class ChoiceTest extends Frame 
   implements ItemListener {
   
   public ChoiceTest() {
      super("Choice-Test");
      setSize(300, 200);
      setLayout(new FlowLayout());

      Choice ch = new Choice();
      ch.addItemListener(this);
      ch.add("rot");
      ch.add("grn");
      ch.add("blau");
      add(ch);
      
      setVisible(true);
      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            dispose();
            System.exit(0);
         }
      } );
   }

   public void itemStateChanged(ItemEvent e) {
      Object obj = e.getSource();
      String farbe = ((Choice) obj).getSelectedItem();

      if (farbe.equals("rot"))  setBackground(Color.red);
      if (farbe.equals("grn")) setBackground(Color.green);
      if (farbe.equals("blau")) setBackground(Color.blue);
      repaint();
   }

   public static void main(String[] args) {
      ChoiceTest tester = new ChoiceTest();
   }
}
