import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class JComboBoxTest extends JFrame
   implements ItemListener, ActionListener {
   Container cp ;
   
   public JComboBoxTest() {
      super("ComboBox-Test");
      cp = getContentPane() ;
      setSize(300, 200);
      cp.setLayout(new FlowLayout());

      JComboBox cBox = new JComboBox();
      cBox.addItemListener(this);
//      cBox.addActionListener(this);
      cBox.addItem("rot");
      cBox.addItem("grn");
      cBox.addItem("blau");
      cp.add(cBox);
//      cBox.addItemListener(this);
//      cBox.addActionListener(this);

      setVisible(true);
      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            dispose();
            System.exit(0);
         }
      } );
   }

   public void itemStateChanged(ItemEvent e) {
      Object obj = e.getSource();
      String farbe = (String) ((JComboBox) obj).getSelectedItem();
      System.out.println("Auswahl gendert!") ;
      
      if (farbe.equals("rot"))  cp.setBackground(Color.red);
      if (farbe.equals("grn")) cp.setBackground(Color.green);
      if (farbe.equals("blau")) cp.setBackground(Color.blue);
      repaint();
   }
   
   public void actionPerformed(ActionEvent e) {
      Object obj = e.getSource();
      String farbe = (String) ((JComboBox) obj).getSelectedItem();
      System.out.println("Auswahl getroffen!") ;

      if (farbe.equals("rot"))  cp.setBackground(Color.red);
      if (farbe.equals("grn")) cp.setBackground(Color.green);
      if (farbe.equals("blau")) cp.setBackground(Color.blue);
      repaint();
   }

   public static void main(String[] args) {
      JComboBoxTest tester = new JComboBoxTest();
   }
}
